Release - vdr-plugin-vnsiserver moved to new repository

  Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Post Reply
FernetMenta Offline
Team-Kodi Developer
Posts: 3,271
Joined: Jul 2010
Reputation: 65
Location: Munich
Post: #1
With release 1.0 of vdr-plugin-vnsiserver, the plugin moved to its own repository: https://github.com/FernetMenta/vdr-plugin-vnsiserver

The API between the VNSI addon for XBMC and the vdr server plugin has stabilized. From now on will I maintain backward compatibility again, means that this version will be compatible with future versions of the pvr addon VNSI.

The name of the plugin changed from vnsiserver5 to vnsiserver.
(This post was last modified: 2014-03-20 15:09 by FernetMenta.)
find quote
avjui Offline
Junior Member
Posts: 24
Joined: Sep 2011
Reputation: 0
Post: #2
Thanks for your work
find quote
martin.haager Offline
Junior Member
Posts: 22
Joined: Jan 2013
Reputation: 0
Location: Vienna
Post: #3
Hello FernetMenta!

Just want to check if its safe to update to vdr-plugin-vnsiserver 1.0.0 and if it's compatible with your vdr-vnsi-client 1.9.7 which came with the latest Beta2

No urgent need for upgrading since my setting works pretty good right now.
Just curios if it makes sense or if there are new features / stability improvements / whatever in the new server version

Actually running:
yavdr 2.0.4 testing / TBS 6991 dvbs-2 plus ci Twin Tuner / vdr-vnsi5 from Opdencamp master on Ubuntu 12.04 LTS

Regards
Martin

yavdr 2.0.6 testing / TBS 6991 dvbs-2 - Twin Tuner plus CI / vdr-plugin-vnsiserver 1.0.9 - yavdr-testing / Ubuntu 14.04 LTS
RasPi / openelec 4.0.7 XBMC 13.1 09.07.2014 with shipped vdr addon 1.9.8, Skin Amber 1.6.0
MacBook Pro OSX 10.9 / XBMC 13.2 18.08.2014 with shipped vdr addon 1.9.8, Skin Amber 1.6.0
MySQL MediaDB
find quote
FernetMenta Offline
Team-Kodi Developer
Posts: 3,271
Joined: Jul 2010
Reputation: 65
Location: Munich
Post: #4
Gotham Beta 2 has vnsi 1.9.8
The vnsiserver plugin bundled with this version (opdenkamp master) is the same as 1.0.
find quote
martin.haager Offline
Junior Member
Posts: 22
Joined: Jan 2013
Reputation: 0
Location: Vienna
Post: #5
Openelec Beta 2 (15.03.2014) shows VDR-VNSI Client 1.9.6 in the Addon Information
OSX 86_64 Beta 2 (15.03.2014) shows VDR-VNSI Client 1.9.7 in the Addon Information
--> Do I miss something here ??

Installed VNSI Server 5 (opdencamp master) on 22.01.2014
Does it make sense to upgrade the server side ??

If yes I assume it makes no difference to use either
latest opdencmap master, or version 1.0 from your repository (https://github.com/FernetMenta/vdr-plugin-vnsiserver)

thx
Martin

yavdr 2.0.6 testing / TBS 6991 dvbs-2 - Twin Tuner plus CI / vdr-plugin-vnsiserver 1.0.9 - yavdr-testing / Ubuntu 14.04 LTS
RasPi / openelec 4.0.7 XBMC 13.1 09.07.2014 with shipped vdr addon 1.9.8, Skin Amber 1.6.0
MacBook Pro OSX 10.9 / XBMC 13.2 18.08.2014 with shipped vdr addon 1.9.8, Skin Amber 1.6.0
MySQL MediaDB
find quote
FernetMenta Offline
Team-Kodi Developer
Posts: 3,271
Joined: Jul 2010
Reputation: 65
Location: Munich
Post: #6
Sorry, a language translation update bumped version to 1.9.8 which is not in Beta 2. You are right, 1.9.7 is in Beta 2.

Quote:Installed VNSI Server 5 (opdencamp master) on 22.01.2014
Does it make sense to upgrade the server side ??

An upgrade is not mission critical. If you don't observe issues, no need to upgrade.

For you next upgrade I would use the new repository. The sources will disappear from opdenkamp repo soon.
find quote
eroxm Offline
Junior Member
Posts: 34
Joined: Aug 2008
Reputation: 0
Post: #7
Will this be in some official PPA? I'm having trouble compiling it.
find quote
Wotim Offline
Junior Member
Posts: 4
Joined: Mar 2013
Reputation: 0
Post: #8
Hello,

I get the following error when compiling:

Code:
g++   -shared vnsi.o bitstream.o vnsiclient.o config.o cxsocket.o parser.o parser_AAC.o parser_AC3.o parser_DTS.o parser_h264.o parser_MPEGAudio.o parser_MPEGVideo.o parser_Subtitle.o parser_Teletext.o streamer.o recplayer.o requestpacket.o responsepacket.o vnsiserver.o hash.o recordingscache.o setup.o vnsiosd.o demuxer.o videobuffer.o videoinput.o channelfilter.o status.o -o libvdr-vnsiserver.so
/usr/lib64/gcc/x86_64-suse-linux/4.7/../../../../x86_64-suse-linux/bin/ld: vnsi.o: relocation R_X86_64_32S against `_ZTV17cPluginVNSIServer' can not be used when making a shared object; recompile with -fPIC
vnsi.o: could not read symbols: Bad value
collect2: error: ld returned 1 exit status
make: *** [libvdr-vnsiserver.so] Fehler 1

Any idea how to solve it?

Edit: I checked all path (on Opensuse: make VDRDIR=/usr/include/vdr LIBDIR=/usr/lib64/vdr LOCALEDIR=/usr/share/vdr/locale) because this seems to make this error, but all was ok with the path.
(This post was last modified: 2014-05-18 21:14 by Wotim.)
find quote
FernetMenta Offline
Team-Kodi Developer
Posts: 3,271
Joined: Jul 2010
Reputation: 65
Location: Munich
Post: #9
Please don't hijack threads. I don't think your compile issue is related the move of the repo. Why don't you open a new thread and pastebin full build log.
(This post was last modified: 2014-05-19 07:15 by FernetMenta.)
find quote